Bug 437810 - does not display syslinux prompt -- or interface upon TAB
does not display syslinux prompt -- or interface upon TAB
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 11:21 EDT by Jim Meyering
Modified: 2013-03-13 16:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-21 22:24:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim Meyering 2008-03-17 11:21:09 EDT
Description of problem: when I create a VM via virt-manager, the last step is to
run virt-viewer on that new system as it boots.  However, I don't see any
syslinux output.  That makes it hard to append " ks=http://long-url..." when you
can't see what you're typing.

Version-Release number of selected component (if applicable):
virt-viewer-0.0.3-1.fc9.x86_64

How reproducible: every time


Steps to Reproduce:
1.run virt-manager
2.as image, choose /var/lib/libvirt/images/Fedora-8-x86_64-rescuecd.iso,
though any would probably do. 
3.as file location, use /var/lib/libvirt/images/dd.img
4. hit FINISH, then in the virt-viewer window, once it goes blank, hit TAB

Actual results:
I see the "hit F10 for boot menu", but get 60 seconds of blank screen after
that, during which I can hit TAB to talk to syslinux, and can hit "ENTER" (if I
want to start the boot process), or blindly type " ks=http://whatever".  If I
don't type anything, syslinux times out and starts the usual boot process.

Expected results:
To see a prompt, as well as what I type, after hitting TAB.

Additional info:
Comment 1 Jeremy Katz 2008-03-17 15:35:28 EDT
Using kvm?  If so, this is the bug I forwarded to upstream last week.  Holding
shift while syslinux comes up will leave you at the text mode version
Comment 2 Jim Meyering 2008-03-17 16:31:48 EDT
Yes to kvm.  I confirm that holding down SHIFT works.  Thanks!
Comment 3 Jeremy Katz 2008-03-17 17:58:23 EDT
Okay, I'll either get the underlying bug fixed or we'll revert back to Cirrus
for video by default for the final.
Comment 4 Jeremy Katz 2008-04-01 12:23:49 EDT
Back to cirrus by default for now
Comment 5 Daniel Berrange 2008-04-21 22:24:46 EDT
Rawhide switched back to cirrus driver, so closing this bug.

Note You need to log in before you can comment on or make changes to this bug.